RagTime5ClusterManager::Link Struct Reference

a link to a small zone (or set of zones) in RagTime 5/6 documents More...

`#include <RagTime5ClusterManager.hxx>`

## Public Types

enum | Type { L_ClusterLink , L_LongList , L_UnicodeList , L_FieldsList , L_List , L_UnknownClusterC , L_Unknown }
| the link type More...

## Public Member Functions

| Link (Type type=L_Unknown)
| constructor
bool | empty () const
| returns true if all link are empty
std::string | getZoneName () const
| returns the zone name

## Public Attributes

Type | m_type
| the link type
std::string | m_name
| the link name
std::vector< int > | m_ids
| the data ids
int | m_N
| the number of data ( or some flag if m_N & 0x8020)
int | m_fieldSize
| the field size
unsigned long | m_fileType [2]
| the zone type in file
std::vector< long > | m_longList
| a list of long used to store decal

## Friends

std::ostream & | operator<< (std::ostream &o, Link const &z)
| operator<<

## Detailed Description

a link to a small zone (or set of zones) in RagTime 5/6 documents

## Member Enumeration Documentation

## Type

enum RagTime5ClusterManager::Link::Type

the link type

Enumerator
L_ClusterLink |
L_LongList |
L_UnicodeList |
L_FieldsList |
L_List |
L_UnknownClusterC |
L_Unknown |

## Constructor & Destructor Documentation

## Link()

RagTime5ClusterManager::Link::Link | ( | Type | type = L_Unknown | ) |

inline explicit

constructor

Referenced by operator<<.

## Member Function Documentation

## empty()

bool RagTime5ClusterManager::Link::empty | ( |  | ) | const

inline

returns true if all link are empty

Referenced by operator<<, RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Chart::readChartCluster(), RagTime5Document::readClusterLinkList(), RagTime5ClusterManager::readClusterMainList(), RagTime5Document::readClusterRootData(), RagTime5Formula::readFunctionNames(), RagTime5Graph::readGraphicTransformations(), RagTime5Graph::readGraphicTypes(), and RagTime5Document::readUnicodeStringList().

## getZoneName()

std::string RagTime5ClusterManager::Link::getZoneName | ( |  | ) | const

inline

returns the zone name

Referenced by operator<<, RagTime5Document::readClusterLinkList(), RagTime5Document::readFixedSizeZone(), and RagTime5Document::readListZone().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Link const & | z )

friend

operator<<

## Member Data Documentation

## m_fieldSize

int RagTime5ClusterManager::Link::m_fieldSize

the field size

Referenced by getZoneName(), Link(), operator<<, RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5TextInternal::TextCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5Document::readClusterLinkList(), RagTime5Document::readFixedSizeZone(), RagTime5Graph::readGraphicTransformations(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Document::readLongList(), RagTime5Spreadsheet::readSheetDimensions(), and RagTime5Spreadsheet::readValuesTree().

## m_fileType

unsigned long RagTime5ClusterManager::Link::m_fileType[2]

the zone type in file

Referenced by getZoneName(), Link(), RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), and RagTime5Document::readUnknownClusterCData().

## m_ids

std::vector<int> RagTime5ClusterManager::Link::m_ids

the data ids

Referenced by empty(), Link(), operator<<, RagTime5ClusterManagerInternal::RootCParser::parseDataZone(), RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5GraphInternal::ButtonCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Document::readChildList(), RagTime5Document::readClusterGProp(), RagTime5Document::readClusterLinkList(), RagTime5Document::readClusterRootData(), RagTime5Document::readFixedSizeZone(), RagTime5StyleManager::readFormats(), RagTime5Formula::readFormulaClusters(), RagTime5Formula::readFormulaZones(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTransformations(), RagTime5Graph::readGraphicTypes(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Document::readListZone(), RagTime5Document::readLongList(), RagTime5Text::readPLCToCharStyle(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Document::readStructZone(), RagTime5Document::readUnicodeStringList(), RagTime5ClusterManager::readUnknownClusterC(), RagTime5Document::readUnknownClusterCData(), RagTime5Text::send(), and RagTime5Text::send().

## m_longList

std::vector<long> RagTime5ClusterManager::Link::m_longList

a list of long used to store decal

Referenced by empty(), Link(), RagTime5Chart::readChartCluster(), RagTime5StyleManager::readFormats(), RagTime5Formula::readFormulaZones(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTypes(), RagTime5Text::readLinkZones(), RagTime5Document::readListZone(), RagTime5Document::readLongList(), RagTime5Document::readStructZone(), and RagTime5Document::readUnicodeStringList().

## m_N

int RagTime5ClusterManager::Link::m_N

the number of data ( or some flag if m_N & 0x8020)

Referenced by Link(), operator<<, RagTime5TextInternal::TextCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5Document::readChildList(), RagTime5Document::readClusterLinkList(), RagTime5Document::readFixedSizeZone(), RagTime5Graph::readGraphicTransformations(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Text::readPLCToCharStyle(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Spreadsheet::readSpreadsheetCluster(), and RagTime5Spreadsheet::readValuesTree().

## m_name

std::string RagTime5ClusterManager::Link::m_name

the link name

Referenced by getZoneName(), Link(), RagTime5GraphInternal::ButtonCParser::parseHeaderZone(), RagTime5Document::readClusterLinkList(), RagTime5Text::readLinkZones(), and RagTime5Document::readLongList().

## m_type

Type RagTime5ClusterManager::Link::m_type

the link type

Referenced by empty(), getZoneName(), Link(), RagTime5ClusterManagerInternal::RootCParser::parseDataZone(), RagTime5GraphInternal::ButtonCParser::parseHeaderZone(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), and RagTime5Document::readUnknownClusterCData().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.hxx